Bug 590284 - grub os selection list not showing
grub os selection list not showing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
13
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 11:40 EDT by vadi01
Modified: 2011-06-27 12:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf file (881 bytes, text/plain)
2010-05-08 11:40 EDT, vadi01
no flags Details

  None (edit)
Description vadi01 2010-05-08 11:40:07 EDT
Created attachment 412548 [details]
grub.conf file

Description of problem:
After installing fedora 13RC2 with windows installed, grub does not show a list of which OS to select to boot. It boots straight to fedora. Reason being
timeout is set to 0 (timeout=0). 

Version-Release number of selected component (if applicable):
grub-0.97-64.fc13.i686

How reproducible:
installing f13 with another os installed. For me only on windows. 

Steps to Reproduce:
1.shown above
2.
3.
  
Actual results:
timeout=0

Expected results:
timeout=10

Additional info:
I do think new users will heavily complain about fedora having 'deleted' their windows partition and deter them from using the new fedora. Thus i put the priority to high if there is a possibility to fix this prior to the official release.
Comment 1 Pasi Karkkainen 2010-08-17 18:01:14 EDT
timeout=0 is a very bad default! 

I just got bitten by this.. I have a Dell R410 server and F13 doesn't detect the disks of it.. I have to start the F13 installer with "iommu=soft" boot option, and then the disks are detected.

Now after installation I should add that "iommu=soft" option to the kernel from grub menu, but since the timeout is zero I can't do it! Computer will boot straight to Fedora and get stuck since the disks aren't detected..

Please fix the timeout to 5 or 10 seconds for F14.
Comment 2 Bug Zapper 2011-06-02 10:20:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 12:11:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.